org.wildfly.swarm.microprofile.faulttolerance.deployment.config

## Class RetryConfig

- java.lang.Object
- - org.wildfly.swarm.microprofile.faulttolerance.deployment.config.GenericConfig<Retry>
  - - org.wildfly.swarm.microprofile.faulttolerance.deployment.config.RetryConfig

-     public class RetryConfig
      extends GenericConfig<Retry>

  Author:
    Antoine Sabot-Durand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ABORT_ON`
    `static String` | `DELAY`
    `static String` | `DELAY_UNIT`
    `static String` | `DURATION_UNIT`
    `static String` | `JITTER`
    `static String` | `JITTER_DELAY_UNIT`
    `static String` | `MAX_DURATION`
    `static String` | `MAX_RETRIES`
    `static String` | `RETRY_ON`

    - ### Fields inherited from class org.wildfly.swarm.microprofile.faulttolerance.deployment.config.GenericConfig

      `CONFIG_PARAMS_CACHE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetryConfig(<any> annotatedMethod)`
    `RetryConfig(Method method)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>[]` | `getAbortOn()`
    `Long` | `getJitter()`
    `ChronoUnit` | `getJitterDelayUnit()`
    `Class<?>[]` | `getRetryOn()`
    `void` | `validate()`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.faulttolerance.deployment.config.GenericConfig

      `get, get, getMethodInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_RETRIES

          public static final String MAX_RETRIES

      See Also:
        Constant Field Values

    - #### DELAY

          public static final String DELAY

      See Also:
        Constant Field Values

    - #### DELAY_UNIT

          public static final String DELAY_UNIT

      See Also:
        Constant Field Values

    - #### MAX_DURATION

          public static final String MAX_DURATION

      See Also:
        Constant Field Values

    - #### DURATION_UNIT

          public static final String DURATION_UNIT

      See Also:
        Constant Field Values

    - #### JITTER

          public static final String JITTER

      See Also:
        Constant Field Values

    - #### JITTER_DELAY_UNIT

          public static final String JITTER_DELAY_UNIT

      See Also:
        Constant Field Values

    - #### RETRY_ON

          public static final String RETRY_ON

      See Also:
        Constant Field Values

    - #### ABORT_ON

          public static final String ABORT_ON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RetryConfig

          public RetryConfig(Method method)

    - #### RetryConfig

          public RetryConfig(<any> annotatedMethod)

  - ### Method Detail

    - #### validate

          public void validate()

      Specified by:
        `validate` in class `GenericConfig<Retry>`

    - #### getAbortOn

          public Class<?>[] getAbortOn()

    - #### getRetryOn

          public Class<?>[] getRetryOn()

    - #### getJitter

          public Long getJitter()

    - #### getJitterDelayUnit

          public ChronoUnit getJitterDelayUnit()

Copyright © 2018 JBoss by Red Hat. All rights reserved.